summaryrefslogtreecommitdiffstats
path: root/tests/complex_dict_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/complex_dict_test.sh')
-rwxr-xr-xtests/complex_dict_test.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/tests/complex_dict_test.sh b/tests/complex_dict_test.sh
new file mode 100755
index 0000000..f5af108
--- /dev/null
+++ b/tests/complex_dict_test.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+. `dirname $0`/test_setup.sh "com.pengutronix.jdb.Test.Complex" || return
+
+jdb_test_echo EchoDict 'a{si}' '{ "a": 1, "b": 2, "ff": 3, "y": 42, "x": 99, "foo": -42 }' &&
+jdb_test_echo EchoDict 'a{si}' '{ "a": 1, "b": "2" }' null "integer value expected."
+